<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN">
<!ENTITY % cyr1 PUBLIC "-//ISO 8879-1986//ENTITIES Russian Cyrillic//EN">
%cyr1;
]>

<style-specification id="docbook-l10n-ru">

;; $Id: dbl1ru.dsl 0.1 1997/07/31 14:51:33 nwalsh Exp $

;; ----------------------------- Localization -----------------------------

;; If you create a new version of this file, please send it to
;; Norman Walsh, norm@berkshire.net
;;
;; See also (xref-unlabeled-section) in dblink.dsl if you have
;; cross references to unlabeled sections.

;; Should the TOC come first or last?
;;
(define %generate-toc-in-front% #t)

;; gentext-element-name returns the generated text that should be 
;; used to make reference to the selected element.
;;
(define (gentext-element-name giname)
  (case giname
    (("APPENDIX") "&Pcy;&rcy;&icy;&lcy;&ocy;&zhcy;&iecy;&ncy;&icy;&iecy;")
    (("CAUTION") "&Pcy;&Rcy;&IEcy;&Dcy;&Ocy;&Scy;&Tcy;&IEcy;&Rcy;&IEcy;&ZHcy;&IEcy;&Ncy;&Icy;&IEcy;")
    (("CHAPTER") "&Gcy;&lcy;&acy;&vcy;&acy;")
    (("COPYRIGHT") "Copyright")
    (("FIGURE") "Figure")
    (("IMPORTANT") "&Vcy;&Acy;&ZHcy;&Ncy;&Ocy;")
    (("NOTE") "&Zcy;&Acy;&Mcy;&IEcy;&CHcy;&Acy;&Ncy;&Icy;&IEcy;")
    (("PREFACE") "Preface")
    (("REFNAME") "Name")
    (("SECT1") "Section")
    (("SECT2") "Section")
    (("SECT3") "Section")
    (("SECT4") "Section")
    (("SECT5") "Section")
    (("TABLE") "&Tcy;&acy;&bcy;&lcy;&icy;&tscy;&acy;")
    (("TIP") "&Pcy;&Ocy;&Dcy;&Scy;&Kcy;&Acy;&Zcy;&Kcy;&Acy;")
    (("TOC") "&Scy;&Ocy;&Dcy;&IEcy;&Rcy;&ZHcy;&Acy;&Ncy;&Icy;&IEcy;")
    (("WARNING") "&Pcy;&Rcy;&IEcy;&Dcy;&Ucy;&Pcy;&Rcy;&IEcy;&ZHcy;&Dcy;&IEcy;&Ncy;&Icy;&IEcy;")
    (else (string-append "UNEXPECTED-ELEMENT-NAME: " giname))))

;; gentext-element-name-space returns gentext-element-name with a 
;; trailing space, if gentext-element-name isn't "".
;;
(define (gentext-element-name-space giname)
  (string-with-space (gentext-element-name giname)))

;; gentext-intra-label-sep returns the seperator to be inserted
;; between multiple occurances of a label (or parts of a label)
;; for the specified element.  Most of these are for enumerated
;; labels like "Figure 2-4", but this function is used elsewhere
;; (e.g. REFNAME) with a little abuse.
;;
(define (gentext-intra-label-sep giname)
  (case giname
    (("SECT1") ".")
    (("SECT2") ".")
    (("SECT3") ".")
    (("SECT4") ".")
    (("SECT5") ".")
    (("REFSECT1") ".")
    (("REFSECT2") ".")
    (("REFSECT3") ".")
    (("REFNAME") ", ")
    (("TABLE") "-")
    (("FIGURE") "-")
    (("_pagenumber") "-")  ;; page number psuedo element
    (else "")))

;; gentext-intra-label-sep returns the seperator to be inserted
;; between a label and the text following the label for the
;; specified element.  Most of these are for use between
;; enumerated labels and titles like "1. Chapter One Title", but
;; this function is used elsewhere (e.g. NOTE) with a little
;; abuse.
;;
(define (gentext-label-title-sep giname)
  (case giname
    (("SECT1") ". ")
    (("SECT2") ". ")
    (("SECT3") ". ")
    (("SECT4") ". ")
    (("SECT5") ". ")
    (("REFSECT1") ". ")
    (("REFSECT2") ". ")
    (("REFSECT3") ". ")
    (("TABLE") ". ")
    (("FIGURE") ". ")
    (("CHAPTER") ". ")
    (("APPENDIX") ". ")
    (("PREFIX") ". ")
    (("IMPORTANT") ": ")
    (("NOTE") ": ")
    (("TIP") ": ")
    (("WARNING") "")
    (("CAUTION") "")
    (else "")))

(define (gentext-xref-label-title-sep giname)
  (case giname
    (("SECT1") ", ")
    (("SECT2") ", ")
    (("SECT3") ", ")
    (("SECT4") ", ")
    (("SECT5") ", ")
    (("REFSECT1") ", ")
    (("REFSECT2") ", ")
    (("REFSECT3") ", ")
    (("TABLE") ", ")
    (("FIGURE") ", ")
    (("CHAPTER") ", ")
    (("APPENDIX") ", ")
    (("PREFIX") ", ")
    (else "")))

(define %gentext-by% "by") ;; e.g. Copyright 1997 "by" A. Nonymous
                           ;; Authored "by" Jane Doe

(define %gentext-page% "Page")

(define %gentext-start-quote%  (dingbat "ldquo"))

(define %gentext-end-quote%  (dingbat "rdquo"))

</style-specification>
